<nz-input-group [nzPrefix]="showIcon ? prefixTemplateUser : ''" class="input-group">
  <input [class]="showError ? 'error' : 'input'" type="text" nz-input [placeholder]="placeholder" nz-dropdown
    (keyup)="onTyping($event)" [(ngModel)]="showValue" #dropdown="nzDropdown" [nzDropdownMenu]="menu1"
    [nzTrigger]="trigger" [nzClickHide]="clickHide" [(nzVisible)]="nzVisible" />
</nz-input-group>
<ng-template #prefixTemplateUser>
  <em nz-icon nzType="search" nzTheme="outline"></em>
</ng-template>
<nz-dropdown-menu #menu1="nzDropdownMenu">
  <ul nz-menu style="height:200px;overflow-y: scroll;" *ngIf="type">
    <li nz-menu-item *ngFor="let item of list; let i = index; trackBy:trackByFn" (click)="checked(item)">
      <div class="item">
        <em *ngIf="itemSelected.has(item[value]) && type" nz-icon nzType="check" nzTheme="outline"
          class="item__icon"></em>
        <em *ngIf="!itemSelected.has(item[value]) && type" nz-icon nzTheme="outline"></em>
        <span class="{{itemSelected.has(item[value]) && type ? 'item__item-select' : 'item__item-non'}}" nz-tooltip
          [nzTooltipTitle]="item[label]"
          [nzTooltipOverlayClassName]="item[label]?.length > 50 ? '' : 'tooltip-hide'">{{item[label]?.length > 50 ?
          item[label].substring(0,50) + '...' : item[label]}}</span>
      </div>
    </li>
    <li *ngIf="pagination?.numCaculate && list.length">
      <div class="load">
        <mb-button (click)="loadMoreClick()" mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY' mbButtonText="{{'Xem thêm ' | translate}}{{pagination?.numCaculate}}"></mb-button>
      </div>
    </li>
  </ul>
  <div style="width: 60%;" *ngIf="!type">
    <nz-table #basicTable [nzData]="list" [nzScroll]="{ y: '240px' }" [nzFrontPagination]="false"
      [nzShowPagination]="false" [nzFooter]="null">
      <tbody>
        <tr *ngFor="let data of basicTable.data, let i = index, trackBy:trackByFn" (click)="checked(data)">
          <td>{{data.nick_name}}</td>
          <td>{{data.full_name}}</td>
          <td>{{data.employee_code}}</td>
          <td>{{data.late_name}}</td>
        </tr>
      </tbody>
    </nz-table>
  </div>
</nz-dropdown-menu>
